namespace _2024._04._08___2
{
    public partial class Form1 : Form
    {
        const int MAX = 100;
        int[] szamok = new int[MAX];
        int n;

        public Form1()
        {
            InitializeComponent();
        }

        private void ReadButton_Click(object sender, EventArgs e)
        {
            n = 0;
            string fnev = "szamok.txt";
            if (File.Exists(fnev))
            {
                StreamReader f = File.OpenText(fnev);
                while (!f.EndOfStream && n < MAX)
                {
                    string sor = f.ReadLine();
                    szamok[n] = int.Parse(sor);
                    if (szamok[n] % 2 == 0)
                    {
                        ParosListBox.Items.Add(szamok[n]);
                    }
                    else
                    {
                        ParatlanListBox.Items.Add(szamok[n]);
                    }
                    n++;
                }
                f.Close();
                WriteButton.Enabled = true;
            }
            else
            {
                MessageBox.Show("A megadott fájl nem létezik!");
            }
        }

        private void WriteButton_Click(object sender, EventArgs e)
        {
            string fnev = "paros.txt";
            StreamWriter f = File.CreateText(fnev);
            for (int i = 0; i < ParosListBox.Items.Count; i++)
            {
                f.WriteLine(ParosListBox.Items[i]);
            }
            f.Close();
            MessageBox.Show("A páros számok kiírva a fájlba!");
        }
    }
}